diff --git a/src/bin/pg_basebackup/bbstreamer_gzip.c b/src/bin/pg_basebackup/astreamer_gzip.c
similarity index 62%
rename from src/bin/pg_basebackup/bbstreamer_gzip.c
rename to src/bin/pg_basebackup/astreamer_gzip.c
index 0417fd9bc2c..6f7c27afbbc 100644
--- a/src/bin/pg_basebackup/bbstreamer_gzip.c
+++ b/src/bin/pg_basebackup/astreamer_gzip.c
@@ -1,11 +1,11 @@
 /*-------------------------------------------------------------------------
  *
- * bbstreamer_gzip.c
+ * astreamer_gzip.c
  *
  * Portions Copyright (c) 1996-2024, PostgreSQL Global Development Group
  *
  * IDENTIFICATION
- *		  src/bin/pg_basebackup/bbstreamer_gzip.c
+ *		  src/bin/pg_basebackup/astreamer_gzip.c
  *-------------------------------------------------------------------------
  */
 
@@ -17,74 +17,74 @@
 #include <zlib.h>
 #endif
 
-#include "bbstreamer.h"
+#include "astreamer.h"
 #include "common/file_perm.h"
 #include "common/logging.h"
 #include "common/string.h"
 
 #ifdef HAVE_LIBZ
-typedef struct bbstreamer_gzip_writer
+typedef struct astreamer_gzip_writer
 {
-	bbstreamer	base;
+	astreamer	base;
 	char	   *pathname;
 	gzFile		gzfile;
-} bbstreamer_gzip_writer;
+} astreamer_gzip_writer;
 
-typedef struct bbstreamer_gzip_decompressor
+typedef struct astreamer_gzip_decompressor
 {
-	bbstreamer	base;
+	astreamer	base;
 	z_stream	zstream;
 	size_t		bytes_written;
-} bbstreamer_gzip_decompressor;
+} astreamer_gzip_decompressor;
 
-static void bbstreamer_gzip_writer_content(bbstreamer *streamer,
-										   bbstreamer_member *member,
-										   const char *data, int len,
-										   bbstreamer_archive_context context);
-static void bbstreamer_gzip_writer_finalize(bbstreamer *streamer);
-static void bbstreamer_gzip_writer_free(bbstreamer *streamer);
+static void astreamer_gzip_writer_content(astreamer *streamer,
+										  astreamer_member *member,
+										  const char *data, int len,
+										  astreamer_archive_context context);
+static void astreamer_gzip_writer_finalize(astreamer *streamer);
+static void astreamer_gzip_writer_free(astreamer *streamer);
 static const char *get_gz_error(gzFile gzf);
 
-static const bbstreamer_ops bbstreamer_gzip_writer_ops = {
-	.content = bbstreamer_gzip_writer_content,
-	.finalize = bbstreamer_gzip_writer_finalize,
-	.free = bbstreamer_gzip_writer_free
+static const astreamer_ops astreamer_gzip_writer_ops = {
+	.content = astreamer_gzip_writer_content,
+	.finalize = astreamer_gzip_writer_finalize,
+	.free = astreamer_gzip_writer_free
 };
 
-static void bbstreamer_gzip_decompressor_content(bbstreamer *streamer,
-												 bbstreamer_member *member,
-												 const char *data, int len,
-												 bbstreamer_archive_context context);
-static void bbstreamer_gzip_decompressor_finalize(bbstreamer *streamer);
-static void bbstreamer_gzip_decompressor_free(bbstreamer *streamer);
+static void astreamer_gzip_decompressor_content(astreamer *streamer,
+												astreamer_member *member,
+												const char *data, int len,
+												astreamer_archive_context context);
+static void astreamer_gzip_decompressor_finalize(astreamer *streamer);
+static void astreamer_gzip_decompressor_free(astreamer *streamer);
 static void *gzip_palloc(void *opaque, unsigned items, unsigned size);
 static void gzip_pfree(void *opaque, void *address);
 
-static const bbstreamer_ops bbstreamer_gzip_decompressor_ops = {
-	.content = bbstreamer_gzip_decompressor_content,
-	.finalize = bbstreamer_gzip_decompressor_finalize,
-	.free = bbstreamer_gzip_decompressor_free
+static const astreamer_ops astreamer_gzip_decompressor_ops = {
+	.content = astreamer_gzip_decompressor_content,
+	.finalize = astreamer_gzip_decompressor_finalize,
+	.free = astreamer_gzip_decompressor_free
 };
 #endif
 
 /*
- * Create a bbstreamer that just compresses data using gzip, and then writes
+ * Create a astreamer that just compresses data using gzip, and then writes
  * it to a file.
  *
- * As in the case of bbstreamer_plain_writer_new, pathname is always used
+ * As in the case of astreamer_plain_writer_new, pathname is always used
  * for error reporting purposes; if file is NULL, it is also the opened and
  * closed so that the data may be written there.
  */
-bbstreamer *
-bbstreamer_gzip_writer_new(char *pathname, FILE *file,
-						   pg_compress_specification *compress)
+astreamer *
+astreamer_gzip_writer_new(char *pathname, FILE *file,
+						  pg_compress_specification *compress)
 {
 #ifdef HAVE_LIBZ
-	bbstreamer_gzip_writer *streamer;
+	astreamer_gzip_writer *streamer;
 
-	streamer = palloc0(sizeof(bbstreamer_gzip_writer));
-	*((const bbstreamer_ops **) &streamer->base.bbs_ops) =
-		&bbstreamer_gzip_writer_ops;
+	streamer = palloc0(sizeof(astreamer_gzip_writer));
+	*((const astreamer_ops **) &streamer->base.bbs_ops) =
+		&astreamer_gzip_writer_ops;
 
 	streamer->pathname = pstrdup(pathname);
 
@@ -123,13 +123,13 @@ bbstreamer_gzip_writer_new(char *pathname, FILE *file,
  * Write archive content to gzip file.
  */
 static void
-bbstreamer_gzip_writer_content(bbstreamer *streamer,
-							   bbstreamer_member *member, const char *data,
-							   int len, bbstreamer_archive_context context)
+astreamer_gzip_writer_content(astreamer *streamer,
+							  astreamer_member *member, const char *data,
+							  int len, astreamer_archive_context context)
 {
-	bbstreamer_gzip_writer *mystreamer;
+	astreamer_gzip_writer *mystreamer;
 
-	mystreamer = (bbstreamer_gzip_writer *) streamer;
+	mystreamer = (astreamer_gzip_writer *) streamer;
 
 	if (len == 0)
 		return;
@@ -151,16 +151,16 @@ bbstreamer_gzip_writer_content(bbstreamer *streamer,
  *
  * It makes no difference whether we opened the file or the caller did it,
  * because libz provides no way of avoiding a close on the underlying file
- * handle. Notice, however, that bbstreamer_gzip_writer_new() uses dup() to
+ * handle. Notice, however, that astreamer_gzip_writer_new() uses dup() to
  * work around this issue, so that the behavior from the caller's viewpoint
- * is the same as for bbstreamer_plain_writer.
+ * is the same as for astreamer_plain_writer.
  */
 static void
-bbstreamer_gzip_writer_finalize(bbstreamer *streamer)
+astreamer_gzip_writer_finalize(astreamer *streamer)
 {
-	bbstreamer_gzip_writer *mystreamer;
+	astreamer_gzip_writer *mystreamer;
 
-	mystreamer = (bbstreamer_gzip_writer *) streamer;
+	mystreamer = (astreamer_gzip_writer *) streamer;
 
 	errno = 0;					/* in case gzclose() doesn't set it */
 	if (gzclose(mystreamer->gzfile) != 0)
@@ -171,14 +171,14 @@ bbstreamer_gzip_writer_finalize(bbstreamer *streamer)
 }
 
 /*
- * Free memory associated with this bbstreamer.
+ * Free memory associated with this astreamer.
  */
 static void
-bbstreamer_gzip_writer_free(bbstreamer *streamer)
+astreamer_gzip_writer_free(astreamer *streamer)
 {
-	bbstreamer_gzip_writer *mystreamer;
+	astreamer_gzip_writer *mystreamer;
 
-	mystreamer = (bbstreamer_gzip_writer *) streamer;
+	mystreamer = (astreamer_gzip_writer *) streamer;
 
 	Assert(mystreamer->base.bbs_next == NULL);
 	Assert(mystreamer->gzfile == NULL);
@@ -208,18 +208,18 @@ get_gz_error(gzFile gzf)
  * Create a new base backup streamer that performs decompression of gzip
  * compressed blocks.
  */
-bbstreamer *
-bbstreamer_gzip_decompressor_new(bbstreamer *next)
+astreamer *
+astreamer_gzip_decompressor_new(astreamer *next)
 {
 #ifdef HAVE_LIBZ
-	bbstreamer_gzip_decompressor *streamer;
+	astreamer_gzip_decompressor *streamer;
 	z_stream   *zs;
 
 	Assert(next != NULL);
 
-	streamer = palloc0(sizeof(bbstreamer_gzip_decompressor));
-	*((const bbstreamer_ops **) &streamer->base.bbs_ops) =
-		&bbstreamer_gzip_decompressor_ops;
+	streamer = palloc0(sizeof(astreamer_gzip_decompressor));
+	*((const astreamer_ops **) &streamer->base.bbs_ops) =
+		&astreamer_gzip_decompressor_ops;
 
 	streamer->base.bbs_next = next;
 	initStringInfo(&streamer->base.bbs_buffer);
@@ -258,15 +258,15 @@ bbstreamer_gzip_decompressor_new(bbstreamer *next)
  * to the next streamer.
  */
 static void
-bbstreamer_gzip_decompressor_content(bbstreamer *streamer,
-									 bbstreamer_member *member,
-									 const char *data, int len,
-									 bbstreamer_archive_context context)
+astreamer_gzip_decompressor_content(astreamer *streamer,
+									astreamer_member *member,
+									const char *data, int len,
+									astreamer_archive_context context)
 {
-	bbstreamer_gzip_decompressor *mystreamer;
+	astreamer_gzip_decompressor *mystreamer;
 	z_stream   *zs;
 
-	mystreamer = (bbstreamer_gzip_decompressor *) streamer;
+	mystreamer = (astreamer_gzip_decompressor *) streamer;
 
 	zs = &mystreamer->zstream;
 	zs->next_in = (const uint8 *) data;
@@ -301,9 +301,9 @@ bbstreamer_gzip_decompressor_content(bbstreamer *streamer,
 		/* If output buffer is full then pass data to next streamer */
 		if (mystreamer->bytes_written >= mystreamer->base.bbs_buffer.maxlen)
 		{
-			bbstreamer_content(mystreamer->base.bbs_next, member,
-							   mystreamer->base.bbs_buffer.data,
-							   mystreamer->base.bbs_buffer.maxlen, context);
+			astreamer_content(mystreamer->base.bbs_next, member,
+							  mystreamer->base.bbs_buffer.data,
+							  mystreamer->base.bbs_buffer.maxlen, context);
 			mystreamer->bytes_written = 0;
 		}
 	}
@@ -313,31 +313,31 @@ bbstreamer_gzip_decompressor_content(bbstreamer *streamer,
  * End-of-stream processing.
  */
 static void
-bbstreamer_gzip_decompressor_finalize(bbstreamer *streamer)
+astreamer_gzip_decompressor_finalize(astreamer *streamer)
 {
-	bbstreamer_gzip_decompressor *mystreamer;
+	astreamer_gzip_decompressor *mystreamer;
 
-	mystreamer = (bbstreamer_gzip_decompressor *) streamer;
+	mystreamer = (astreamer_gzip_decompressor *) streamer;
 
 	/*
 	 * End of the stream, if there is some pending data in output buffers then
 	 * we must forward it to next streamer.
 	 */
-	bbstreamer_content(mystreamer->base.bbs_next, NULL,
-					   mystreamer->base.bbs_buffer.data,
-					   mystreamer->base.bbs_buffer.maxlen,
-					   BBSTREAMER_UNKNOWN);
+	astreamer_content(mystreamer->base.bbs_next, NULL,
+					  mystreamer->base.bbs_buffer.data,
+					  mystreamer->base.bbs_buffer.maxlen,
+					  ASTREAMER_UNKNOWN);
 
-	bbstreamer_finalize(mystreamer->base.bbs_next);
+	astreamer_finalize(mystreamer->base.bbs_next);
 }
 
 /*
  * Free memory.
  */
 static void
-bbstreamer_gzip_decompressor_free(bbstreamer *streamer)
+astreamer_gzip_decompressor_free(astreamer *streamer)
 {
-	bbstreamer_free(streamer->bbs_next);
+	astreamer_free(streamer->bbs_next);
 	pfree(streamer->bbs_buffer.data);
 	pfree(streamer);
 }
diff --git a/src/bin/pg_basebackup/bbstreamer_inject.c b/src/bin/pg_basebackup/astreamer_inject.c
similarity index 53%
rename from src/bin/pg_basebackup/bbstreamer_inject.c
rename to src/bin/pg_basebackup/astreamer_inject.c
index 194026b56e9..7f1decded8d 100644
--- a/src/bin/pg_basebackup/bbstreamer_inject.c
+++ b/src/bin/pg_basebackup/astreamer_inject.c
@@ -1,51 +1,51 @@
 /*-------------------------------------------------------------------------
  *
- * bbstreamer_inject.c
+ * astreamer_inject.c
  *
  * Portions Copyright (c) 1996-2024, PostgreSQL Global Development Group
  *
  * IDENTIFICATION
- *		  src/bin/pg_basebackup/bbstreamer_inject.c
+ *		  src/bin/pg_basebackup/astreamer_inject.c
  *-------------------------------------------------------------------------
  */
 
 #include "postgres_fe.h"
 
-#include "bbstreamer.h"
+#include "astreamer.h"
 #include "common/file_perm.h"
 #include "common/logging.h"
 
-typedef struct bbstreamer_recovery_injector
+typedef struct astreamer_recovery_injector
 {
-	bbstreamer	base;
+	astreamer	base;
 	bool		skip_file;
 	bool		is_recovery_guc_supported;
 	bool		is_postgresql_auto_conf;
 	bool		found_postgresql_auto_conf;
 	PQExpBuffer recoveryconfcontents;
-	bbstreamer_member member;
-} bbstreamer_recovery_injector;
+	astreamer_member member;
+} astreamer_recovery_injector;
 
-static void bbstreamer_recovery_injector_content(bbstreamer *streamer,
-												 bbstreamer_member *member,
-												 const char *data, int len,
-												 bbstreamer_archive_context context);
-static void bbstreamer_recovery_injector_finalize(bbstreamer *streamer);
-static void bbstreamer_recovery_injector_free(bbstreamer *streamer);
+static void astreamer_recovery_injector_content(astreamer *streamer,
+												astreamer_member *member,
+												const char *data, int len,
+												astreamer_archive_context context);
+static void astreamer_recovery_injector_finalize(astreamer *streamer);
+static void astreamer_recovery_injector_free(astreamer *streamer);
 
-static const bbstreamer_ops bbstreamer_recovery_injector_ops = {
-	.content = bbstreamer_recovery_injector_content,
-	.finalize = bbstreamer_recovery_injector_finalize,
-	.free = bbstreamer_recovery_injector_free
+static const astreamer_ops astreamer_recovery_injector_ops = {
+	.content = astreamer_recovery_injector_content,
+	.finalize = astreamer_recovery_injector_finalize,
+	.free = astreamer_recovery_injector_free
 };
 
 /*
- * Create a bbstreamer that can edit recoverydata into an archive stream.
+ * Create a astreamer that can edit recoverydata into an archive stream.
  *
- * The input should be a series of typed chunks (not BBSTREAMER_UNKNOWN) as
- * per the conventions described in bbstreamer.h; the chunks forwarded to
- * the next bbstreamer will be similarly typed, but the
- * BBSTREAMER_MEMBER_HEADER chunks may be zero-length in cases where we've
+ * The input should be a series of typed chunks (not ASTREAMER_UNKNOWN) as
+ * per the conventions described in astreamer.h; the chunks forwarded to
+ * the next astreamer will be similarly typed, but the
+ * ASTREAMER_MEMBER_HEADER chunks may be zero-length in cases where we've
  * edited the archive stream.
  *
  * Our goal is to do one of the following three things with the content passed
@@ -61,16 +61,16 @@ static const bbstreamer_ops bbstreamer_recovery_injector_ops = {
  * zero-length standby.signal file, dropping any file with that name from
  * the archive.
  */
-bbstreamer *
-bbstreamer_recovery_injector_new(bbstreamer *next,
-								 bool is_recovery_guc_supported,
-								 PQExpBuffer recoveryconfcontents)
+astreamer *
+astreamer_recovery_injector_new(astreamer *next,
+								bool is_recovery_guc_supported,
+								PQExpBuffer recoveryconfcontents)
 {
-	bbstreamer_recovery_injector *streamer;
+	astreamer_recovery_injector *streamer;
 
-	streamer = palloc0(sizeof(bbstreamer_recovery_injector));
-	*((const bbstreamer_ops **) &streamer->base.bbs_ops) =
-		&bbstreamer_recovery_injector_ops;
+	streamer = palloc0(sizeof(astreamer_recovery_injector));
+	*((const astreamer_ops **) &streamer->base.bbs_ops) =
+		&astreamer_recovery_injector_ops;
 	streamer->base.bbs_next = next;
 	streamer->is_recovery_guc_supported = is_recovery_guc_supported;
 	streamer->recoveryconfcontents = recoveryconfcontents;
@@ -82,21 +82,21 @@ bbstreamer_recovery_injector_new(bbstreamer *next,
  * Handle each chunk of tar content while injecting recovery configuration.
  */
 static void
-bbstreamer_recovery_injector_content(bbstreamer *streamer,
-									 bbstreamer_member *member,
-									 const char *data, int len,
-									 bbstreamer_archive_context context)
+astreamer_recovery_injector_content(astreamer *streamer,
+									astreamer_member *member,
+									const char *data, int len,
+									astreamer_archive_context context)
 {
-	bbstreamer_recovery_injector *mystreamer;
+	astreamer_recovery_injector *mystreamer;
 
-	mystreamer = (bbstreamer_recovery_injector *) streamer;
-	Assert(member != NULL || context == BBSTREAMER_ARCHIVE_TRAILER);
+	mystreamer = (astreamer_recovery_injector *) streamer;
+	Assert(member != NULL || context == ASTREAMER_ARCHIVE_TRAILER);
 
 	switch (context)
 	{
-		case BBSTREAMER_MEMBER_HEADER:
+		case ASTREAMER_MEMBER_HEADER:
 			/* Must copy provided data so we have the option to modify it. */
-			memcpy(&mystreamer->member, member, sizeof(bbstreamer_member));
+			memcpy(&mystreamer->member, member, sizeof(astreamer_member));
 
 			/*
 			 * On v12+, skip standby.signal and edit postgresql.auto.conf; on
@@ -119,8 +119,8 @@ bbstreamer_recovery_injector_content(bbstreamer *streamer,
 
 					/*
 					 * Zap data and len because the archive header is no
-					 * longer valid; some subsequent bbstreamer must
-					 * regenerate it if it's necessary.
+					 * longer valid; some subsequent astreamer must regenerate
+					 * it if it's necessary.
 					 */
 					data = NULL;
 					len = 0;
@@ -135,26 +135,26 @@ bbstreamer_recovery_injector_content(bbstreamer *streamer,
 				return;
 			break;
 
-		case BBSTREAMER_MEMBER_CONTENTS:
+		case ASTREAMER_MEMBER_CONTENTS:
 			/* Do not forward if the file is to be skipped. */
 			if (mystreamer->skip_file)
 				return;
 			break;
 
-		case BBSTREAMER_MEMBER_TRAILER:
+		case ASTREAMER_MEMBER_TRAILER:
 			/* Do not forward it the file is to be skipped. */
 			if (mystreamer->skip_file)
 				return;
 
 			/* Append provided content to whatever we already sent. */
 			if (mystreamer->is_postgresql_auto_conf)
-				bbstreamer_content(mystreamer->base.bbs_next, member,
-								   mystreamer->recoveryconfcontents->data,
-								   mystreamer->recoveryconfcontents->len,
-								   BBSTREAMER_MEMBER_CONTENTS);
+				astreamer_content(mystreamer->base.bbs_next, member,
+								  mystreamer->recoveryconfcontents->data,
+								  mystreamer->recoveryconfcontents->len,
+								  ASTREAMER_MEMBER_CONTENTS);
 			break;
 
-		case BBSTREAMER_ARCHIVE_TRAILER:
+		case ASTREAMER_ARCHIVE_TRAILER:
 			if (mystreamer->is_recovery_guc_supported)
 			{
 				/*
@@ -163,22 +163,22 @@ bbstreamer_recovery_injector_content(bbstreamer *streamer,
 				 * member now.
 				 */
 				if (!mystreamer->found_postgresql_auto_conf)
-					bbstreamer_inject_file(mystreamer->base.bbs_next,
-										   "postgresql.auto.conf",
-										   mystreamer->recoveryconfcontents->data,
-										   mystreamer->recoveryconfcontents->len);
+					astreamer_inject_file(mystreamer->base.bbs_next,
+										  "postgresql.auto.conf",
+										  mystreamer->recoveryconfcontents->data,
+										  mystreamer->recoveryconfcontents->len);
 
 				/* Inject empty standby.signal file. */
-				bbstreamer_inject_file(mystreamer->base.bbs_next,
-									   "standby.signal", "", 0);
+				astreamer_inject_file(mystreamer->base.bbs_next,
+									  "standby.signal", "", 0);
 			}
 			else
 			{
 				/* Inject recovery.conf file with specified contents. */
-				bbstreamer_inject_file(mystreamer->base.bbs_next,
-									   "recovery.conf",
-									   mystreamer->recoveryconfcontents->data,
-									   mystreamer->recoveryconfcontents->len);
+				astreamer_inject_file(mystreamer->base.bbs_next,
+									  "recovery.conf",
+									  mystreamer->recoveryconfcontents->data,
+									  mystreamer->recoveryconfcontents->len);
 			}
 
 			/* Nothing to do here. */
@@ -189,26 +189,26 @@ bbstreamer_recovery_injector_content(bbstreamer *streamer,
 			pg_fatal("unexpected state while injecting recovery settings");
 	}
 
-	bbstreamer_content(mystreamer->base.bbs_next, &mystreamer->member,
-					   data, len, context);
+	astreamer_content(mystreamer->base.bbs_next, &mystreamer->member,
+					  data, len, context);
 }
 
 /*
- * End-of-stream processing for this bbstreamer.
+ * End-of-stream processing for this astreamer.
  */
 static void
-bbstreamer_recovery_injector_finalize(bbstreamer *streamer)
+astreamer_recovery_injector_finalize(astreamer *streamer)
 {
-	bbstreamer_finalize(streamer->bbs_next);
+	astreamer_finalize(streamer->bbs_next);
 }
 
 /*
- * Free memory associated with this bbstreamer.
+ * Free memory associated with this astreamer.
  */
 static void
-bbstreamer_recovery_injector_free(bbstreamer *streamer)
+astreamer_recovery_injector_free(astreamer *streamer)
 {
-	bbstreamer_free(streamer->bbs_next);
+	astreamer_free(streamer->bbs_next);
 	pfree(streamer);
 }
 
@@ -216,10 +216,10 @@ bbstreamer_recovery_injector_free(bbstreamer *streamer)
  * Inject a member into the archive with specified contents.
  */
 void
-bbstreamer_inject_file(bbstreamer *streamer, char *pathname, char *data,
-					   int len)
+astreamer_inject_file(astreamer *streamer, char *pathname, char *data,
+					  int len)
 {
-	bbstreamer_member member;
+	astreamer_member member;
 
 	strlcpy(member.pathname, pathname, MAXPGPATH);
 	member.size = len;
@@ -238,12 +238,12 @@ bbstreamer_inject_file(bbstreamer *streamer, char *pathname, char *data,
 	/*
 	 * We don't know here how to generate valid member headers and trailers
 	 * for the archiving format in use, so if those are needed, some successor
-	 * bbstreamer will have to generate them using the data from 'member'.
+	 * astreamer will have to generate them using the data from 'member'.
 	 */
-	bbstreamer_content(streamer, &member, NULL, 0,
-					   BBSTREAMER_MEMBER_HEADER);
-	bbstreamer_content(streamer, &member, data, len,
-					   BBSTREAMER_MEMBER_CONTENTS);
-	bbstreamer_content(streamer, &member, NULL, 0,
-					   BBSTREAMER_MEMBER_TRAILER);
+	astreamer_content(streamer, &member, NULL, 0,
+					  ASTREAMER_MEMBER_HEADER);
+	astreamer_content(streamer, &member, data, len,
+					  ASTREAMER_MEMBER_CONTENTS);
+	astreamer_content(streamer, &member, NULL, 0,
+					  ASTREAMER_MEMBER_TRAILER);
 }
